// Grid breakpoints
//
// Define the minimum dimensions at which your layout will change,
// adapting to different screen sizes, for use in media queries.

$grid-breakpoints: (
  xs: 0,
  sm: 576px,
  md: 768px,
  lg: 992px,
  xl: 1200px
) !default;

// Global
$global-radius: 3px;
$global-padding: 20px;
$global-weight: 500;

// Font
$webfont: yes;
$font-family: avenir-book;
$font-spacing: 0;
$font-icon: linear;

$h2-weight: 300;

// General
$first-color: #34314C;
$second-color: #8485be;
$third-color: #de3c30;

$edition-color: #c5c4d1;

$menu-border-color: #ebebeb;

// Text
$first-txt-color: #333;
$second-txt-color: #fff;

// Layout
$app-bg-color: #eee;
$content-margin-small: 14px;
$content-margin-medium: 16px;
$content-margin-large: 32px;

// Notification
$alert-error-color: #c52f2f;
$alert-info-color: #2fadc5;

// Field
$field-margin: 5px;

// Widget
$widget-color-1: $second-color;
$widget-color-2: $third-color;
$widget-color-3: #f39e32;
$widget-color-4: #bb284a;
$widget-color-text: #fff;

.full-width {width: 100%;}
.full-height {
  height: 100%;
  .flex-0 { @include flex(0); }
}

.sticky-top {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  z-index: 1020;
}


// Flex
.scroll-auto { overflow-y: auto; }
.edition { background-color: $edition-color; }
.edition-2 { background-color: $app-bg-color;}

.text-center {
  justify-content: center;
  text-align: center;
}


$unik-bg-color: rgba(#000, .6);
